=== debian/changelog ===
libvmime (0.9.2-9) unstable; urgency=medium

  * [98e9e27] Rebuild patch queue from patch-queue branch
    - Added patch:
      fixes/build-upgrade-to-C-17-when-ICU-is-used-310.patch
    (Closes: #1092310)
  * [1e69daf] d/rules: Also remove $(DEB_BUILD_DIR) while dh_clean
    (Closes: #1047941)
  * d/control: Bump Standards-Version to 4.7.2
    - No further changes needed.
  * d/*: Run wrap-and-sort -ast
  * d/libvmime1t64.lintian-overrides Drop sequencer file

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 23 Mar 2025 10:31:17 +0200

libvmime (0.9.2-8.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062728

 -- Steve Langasek <vorlon@debian.org>  Fri, 01 Mar 2024 07:08:10 +0000

libvmime (0.9.2-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Change libgsasl7-dev into libgsasl-dev following Debian
    package renaming (Closes: #1051031)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Sep 2023 00:08:37 +0200

libvmime (0.9.2-8) unstable; urgency=medium

  * [4fe0f91] Rebuild patch queue from patch-queue branch
    - added patch:
      fixes/Compatibility-Use-C99-C-analogues-for-TRUE-FALSE.patch
      Adding C99 / C++ compatible true/false defines.
      Thanks László Böszörményi for this prepared patch!
   (Closes: #1004036)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 22 Jan 2022 12:20:47 +0100

libvmime (0.9.2-7) unstable; urgency=medium

  [ Simon Josefsson ]
  * [b30c950] Rebuild patch queue from patch-queue branch
    - Adding Don-t-use-deprecated-gsasl-symbols.patch
    (Closes: #997850)

  [ Carsten Schoenert ]
  * [22576d7] d/control: Bump Standards-Version to 4.6.0
    - No further changes needed.
  * [baa26d4] d/libvmime-dev.examples: Install also the examples folder
  * [5cda606] d/u/metadata: Adding some basic metadata

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 27 Oct 2021 20:25:21 +0200

libvmime (0.9.2-6) unstable; urgency=medium

  * [d53cb5c] d/control: Update Vcs URLs to Salsa
    - The packaging tree has moved to Salsa in the past, reflecting this by
      adjusting the Vcs fields.
  * [c888548] d/watch: Update to version 4
  * [d373804] rebuild patch queue from patch-queue branch
    - added patch:
      fixes/Avoid-extern-C-blocks-around-ICU-includes.patch
      Fixes a FBFS if ICU >= 67.1 gets build. But also doesn't harm a
      rebuild with current available ICU version in unstable/testing.
      Thanks László Böszörményi for pointing to this fix!
   (Closes: #960240)
  * [e9122c3] dh: move to dh-compat 13
    - Update the required debhelper version to recent version. No further
      adjusting is needed.
  * [cbe37de] d/libvmime1.symbols: adding Build-Depends-Package
  * [1001369] d/rules: remove --parallel from default target
    - This option for the default target isn't needed now anymore.
  * [98c35af] d/control: d/control: adding Rules-Requires-Root to source section
  * [772827a] d/control: increase Standards-Version to 4.5.0
    - No further changes needed.
  * [0b9eb48] d/control: Update Maintainer email contact address

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 16 May 2020 09:26:12 +0200

libvmime (0.9.2-5) unstable; urgency=medium

  * [b1bc227] rebuild patch queue from patch-queue branch
    - modified patch:
      adding-alternative-getThreadId-implementation.patch ->
       porting-kfreebsd-hurd/adding-alternative-getThreadId-implementation.patch
      Thanks Aaron M. Ucko!
    (Closes: #875729)
  * [3fbf367] debian/control: increase Standards-Version to 4.1.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 19 Oct 2017 20:55:31 +0200

libvmime (0.9.2-4) unstable; urgency=medium

  * [d86a981] rebuild patch queue from patch-queue branch
    - Adding adding-alternative-getThreadId-implementation.patch
      to add an alternative getThreadId() function on non Posix platforms
      like kFreeBSD* and Hurd.
      Patch based on work from the BSD people.
    (Closes: #875456)
  * [008eff7] libvmime1.symbols: adding a symbols file
  * [9becf26] debian/rules: remove override_dh_makeshlibs
  * [e098848] debian/control: increase Standards-Version to 4.0.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 12 Sep 2017 19:52:28 +0200

libvmime (0.9.2-3) unstable; urgency=medium

  * [27a494d] debian/control: increase Standards-Version to 4.0.0
  * [35b3286] use make syntax for DEB_HOST_MULTIARCH substitution
  * [93a1268] debian/rules: use dh_makeshlibs with needed symbol version
    - GCC-7 is now the default compiler, let makeshlibs add the correct symbol
      version to the package.
    (Closes: #871303)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 08 Aug 2017 16:01:21 -0400

libvmime (0.9.2-2) unstable; urgency=medium

  * upload to unstable
  * [840506b] debian/gbp.conf: adjust to debian/sid

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 17 Jun 2017 20:38:46 +0200

libvmime (0.9.2-1) experimental; urgency=medium

  * [7bd007d] libvmime-dev: remove Multi-Arch: same declaration
    - The -dev package don't really need a Multi-Arch: same flag
  * [cbd870a] debian/watch: adjust file after a first tag on GitHub
  * [a4be564] New upstream version 0.9.2
  * [a937065] rebuild patch queue from patch-queue branch
    - Removing all the old patches, they not needed anymore
    - Adding a new typo fixing patch that is also accepted upstream
  * [1a728f3] debian/control: adjust B-D for vmime 0.9.2
    - Upstream switched to cmake as build system
    - Also we need now libgtk3-dev and sendmail as Build-Depends
  * [a3f86e7] debian/rules: modify override targets to new vmime requirements
    - Reworking debian/rules so we can use the dh-seqencers with the cmake
      system from upstream
  * [a3d78a9] libvmime0 -> libvmime1: API change to v1.0.0
    - The API version has now changed from 0.0.0 to 1.0.0
  * [feffe05] debian/control: libvmime-dev; adopt needed changes for Depends

