=== debian/control ===
Source: libvmime
Priority: optional
Maintainer: Giraffe Maintainers <pkg-giraffe-maintainers@alioth-lists.debian.net>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Build-Depends:
 debhelper-compat (= 13),
 dpkg-dev (>= 1.22.5),
 cmake,
 libgnutls28-dev (>= 3.4.0),
 libgsasl-dev,
 libgtk-3-dev,
 sendmail,
Build-Depends-Indep:
 asciidoc-base,
 doxygen,
 graphviz,
Rules-Requires-Root: binary-targets
Standards-Version: 4.7.2
Section: libs
Vcs-Git: https://salsa.debian.org/giraffe-team/libvmime.git
Vcs-Browser: https://salsa.debian.org/giraffe-team/libvmime
Homepage: http://www.vmime.org/

Package: libvmime-dev
Section: libdevel
Architecture: any
Depends:
 libgnutls28-dev (>= 3.4.0~),
 libgsasl-dev,
 libvmime1t64 (= ${binary:Version}),
 ${misc:Depends},
Description: C++ mail library (development files)
 VMime is a powerful C++ class library for parsing, generating, or editing
 Internet RFC-[2]822 and MIME messages. VMime is designed to provide a fast
 and an easy way to manipulate Internet mail messages.
 .
 The recent releases of VMime also include support for using messaging
 protocols (POP3, IMAP, SMTP and maildir) with a lot of features supported:
 listing folders, downloading and adding messages to folders, extracting parts
 from message, getting and setting message flags, and a lot more.
 .
 This package contains the development headers and the static library to
 develop applications using the libvmime.

Package: libvmime1t64
Provides:
 ${t64:Provides},
Replaces:
 libvmime1,
Breaks:
 libvmime1 (<< ${source:Version}),
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: C++ mail library (runtime library)
 VMime is a powerful C++ class library for parsing, generating, or editing
 Internet RFC-[2]822 and MIME messages. VMime is designed to provide a fast
 and an easy way to manipulate Internet mail messages.
 .
 The recent releases of VMime also include support for using messaging
 protocols (POP3, IMAP, SMTP and maildir) with a lot of features supported:
 listing folders, downloading and adding messages to folders, extracting parts
 from message, getting and setting message flags, and a lot more.

Package: libvmime1-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 libjs-jquery,
 ${misc:Depends},
Recommends:
 libvmime-dev (= ${binary:Version}),
 www-browser,
Description: C++ mail library (API documentation)
 VMime is a powerful C++ class library for parsing, generating, or editing
 Internet RFC-[2]822 and MIME messages. VMime is designed to provide a fast
 and an easy way to manipulate Internet mail messages.
 .
 The recent releases of VMime also include support for using messaging
 protocols (POP3, IMAP, SMTP and maildir) with a lot of features supported:
 listing folders, downloading and adding messages to folders, extracting parts
 from message, getting and setting message flags, and a lot more.
 .
 This package contains the Doxygen generated library API HTML documentation
 for libvmime.
 They can be accessed by open /usr/share/doc/libvmime1-doc/html/index.html.
