=== debian/watch ===
# watch file for libvmime
version=4

opts="uversionmangle=s/\.-rc/~rc/;s/\.+$//, \
  dversionmangle=s/\+dfsg(\.?\d+)?$//" \
  https://github.com/kisli/vmime/tags .*/v?(\d+\.\d+\.\d+)(-rc\d)?\.tar\.[gx]z
